Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.views
Interface IReadOnlyDiagramPropertySheetPageContributor

All Superinterfaces:
  ITabbedPropertySheetPageContributor

    public interface IReadOnlyDiagramPropertySheetPageContributor

extends ITabbedPropertySheetPageContributor

A interface to indicate that the property sheet pages should be read only independant of the selected object and its related file status. For example, this interface is implemented by topic and browse diagrams. Even though the selected object can be modified, we want the properties to be read only for these diagrams.

Method Summary

Methods inherited from interface org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor
`getContributorId`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.